<bugID>1115971<Summary>Don't fall back to the Places title for downloads without the target file name annotation</Summary><Description>Created attachment 8541914
The patch

Unless a user chose to preserve significantly more history than the Firefox default, on a recent profile there should be no downloads without the target file name annotation in the Places database.

So, while it was useful during the transition period from old versions, now we can safely remove the fallback to the Places title for the item display name, and just use the download URI we would use for an empty title, simplifying the code.</Description></bugID>